#!/bin/bash

export ADIR=/mnt/DATA2/Android
export ANDROID_NDK=$ADIR/Android_NDK
export CMAKE_ANDROID_NDK=$ADIR/Android_NDK
# note the _ROOT postfix here, different pattern
export ANDROID_SDK_ROOT=$ADIR/Android_SDK
export Qt5_android=$ADIR/Android_Qt/5.11.1/android_x86
# export Qt5_android=$ADIR/Android_Qt/5.11.1/android_armv7
export PATH=$ADIR/Android_SDK/platform-tools:$PATH
export JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk

rm -fr build
rm -fr export

cd ./hellokandroid
export hellokandroid_DIR=`pwd`
mkdir -p ../export/hellokandroid
cd ../export/hellokandroid
export hellokandroid_PRODUCT_DIR=`pwd`
mkdir -p ../../build/hellokandroid
cd ../../build/hellokandroid

cmake \
    -DCMAKE_TOOLCHAIN_FILE=/usr/share/ECM/toolchain/Android.cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DANDROID_TOOLCHAIN=x86 \
    -DANDROID_COMPILER_PREFIX=x86_64 \
    -DANDROID_ABI=x86 \
    -DANDROID_API_LEVEL=15 \
    -DANDROID_ARCHITECTURE=x86 \
    -DCMAKE_PREFIX_PATH="${Qt5_android}" \
    -DCMAKE_INSTALL_PREFIX="${hellokandroid_PRODUCT_DIR}" \
    -DQTANDROID_EXPORTED_TARGET=hellokandroid \
    -DANDROID_APK_DIR="${hellokandroid_DIR}"/data \
    "${hellokandroid_DIR}"

make -j2